Subject: Re: bug#17361: Tramp does not save history across sessions.

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Apr 2014 10:30:22 -0400

>> So far it works well when you know enough of the various places that
>> want to set a filter, so you can make sure only one of them uses
>> set-process-filter (and does it before the others).
> Maybe. But Tramp cannot know who is using it. It just offers (its own
> implementation of) very primitive functions, that's it. And it cannot
> know, whether the calling library is doing its settings before or after
> Tramp's setup.
> That's what this bug report is about.

The fix is to make those other packages use add-function as well, then.

        Stefan